Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintCommon.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintCommon.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintCommon.cs	(revision 54)
@@ -0,0 +1,259 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+using System.Windows.Forms;
+using System.Diagnostics;
+using Microsoft.VisualBasic;
+using System.Globalization;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    /// <summary>
+    /// 印刷処理共通変数
+    /// </summary>
+    partial class FrmProceedings
+    {
+        #region スレッド使用定義
+        //コントロールの値を変更するためのデリゲート
+        private delegate void SetProgressValueDelegate(int num);
+        //バックグラウンド処理が終わった時にコントロールの値を変更するためのデリゲート
+        private delegate void ThreadCompletedDelegate();
+        //処理がキャンセルされた時にコントロールの値を変更するためのデリゲート
+        private delegate void ThreadCanceledDelegate();
+
+        //別処理をするためのスレッド
+        private System.Threading.Thread workerThread;
+
+        //デリゲートの作成
+        SetProgressValueDelegate m_progressDlg = null;
+        ThreadCompletedDelegate m_completeDlg = null;
+        ThreadCanceledDelegate m_canceledDlg = null;
+        #endregion
+
+        #region 定数
+        #region 注文書最終行文字フォーマット
+        /// <summary>
+        /// 注文書最終行文字フォーマット
+        /// </summary>
+        private const string s_LastRowString = "※別紙{0}付け提出見積もりによる";
+        #endregion
+
+        #region シート名称
+        /// <summary>
+        /// シート名称
+        /// </summary>
+        private static readonly string s_SheetName = "打合せ議事録";
+        #endregion
+
+        #region Excelファイル名
+        /// <summary>
+        /// Excelファイル名
+        /// </summary>
+        private string s_ExcelBookName = "議事録";
+        #endregion
+
+        #region 図形関連
+        /// <summary>
+        /// 図形置き場シート
+        /// </summary>
+        private const string s_shapeSheetName = "図形シート";
+        /// <summary>
+        /// 図形名称
+        /// </summary>
+        private const string s_shapeName = "SealStamp1";                                    // 判子オブジェクト名
+        /// <summary>
+        /// 図形サイズ【縦・横】（図形名称順）
+        /// </summary>
+        private static float[,] s_ShapeSize = new float[1, 2] { { 32.00f, 32.00f } };       // 判子サイズ
+        /// <summary>
+        /// 判子フォントサイズ
+        /// </summary>
+        private static float[] s_EstimateSeal1FontSize = { 10f, 10f, 10f, 8f, 6f };
+        
+        /// <summary>
+        /// 次頁以降の判子イメージ移動位置1104
+        /// </summary>
+        private static float s_NextImageY = 1053.00f;
+        /// <summary>
+        /// 判子位置(Key:X Value:Y)
+        /// </summary>
+        private static float[,] s_CoverSealPoint = new float[5, 2] { {404.25f, 63.00f},         // 社長
+                                                                        {458.82f, 63.00f},      // 専務
+                                                                        {512.82f, 63.00f},      // 常務
+                                                                        {566.82f, 63.00f},      // 部長
+                                                                        {620.82f, 63.00f} };    // 担当者
+        #endregion
+
+        #region 明細フォーマットの行数
+        /// <summary>
+        /// 明細の全体行数
+        /// </summary>
+        private int s_NumberOfRowInDetail = 54;
+
+        /// <summary>
+        /// 出席者データ開始行
+        /// </summary>
+        private const int s_FixAttedStartLine = 10;
+        /// <summary>
+        /// 出席者データ行数
+        /// </summary>
+        private const int s_FixAttendListRow = 4;
+        private const int s_FixAttendListCol = 4;
+        /// <summary>
+        /// 明細データ開始行
+        /// </summary>
+        private const int s_FixDetailStartLine = 15;
+        /// <summary>
+        /// 明細データ行数
+        /// </summary>
+        private const int s_FixDetailListRow = 40;
+
+        #endregion
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// エクセル印刷クラスオブジェクト
+        /// </summary>
+        private UsedExcel m_UsedExcel = null;
+
+        /// <summary>
+        /// キャンセルボタンがクリックされたかを示すフラグ
+        /// </summary>
+        private volatile bool m_Canceled = false;
+
+        /// <summary>
+        /// 印刷処理プロセス数カウント（下記と混同注意）
+        /// </summary>
+        private int m_ProcessCount = 0;
+
+        /// <summary>
+        /// プログレスカウント
+        /// </summary>
+        private int m_ProgressCount = 0;
+
+        /// <summary>
+        /// 保存時Excelパス
+        /// </summary>
+        private string m_SelectSaveExcel = "";
+        /// <summary>
+        /// 実行ダイアログ選択値
+        /// </summary>
+        private DialogResult m_PrintresRet = DialogResult.Cancel;
+
+        /// <summary>
+        /// 印刷範囲
+        /// </summary>
+        private int m_PrintRange = 0;
+
+        /// <summary>
+        /// 印刷開始日
+        /// </summary>
+        private DateTime m_PrintStartDate = DateTime.MinValue;
+
+        /// <summary>
+        /// 印刷終了日
+        /// </summary>
+        private DateTime m_PrintCompDate = DateTime.MinValue;
+
+        /// <summary>
+        /// 終了コード
+        /// </summary>
+        private CommonDefine.RetunAnswer m_rtAns = CommonDefine.RetunAnswer.Answer0;
+        #endregion
+
+        #region プログレスバーの値を変更する
+        /// <summary>
+        /// プログレスバーの値を変更する
+        /// </summary>
+        /// <param name="num"></param>
+        private void SetProgressValue(int num)
+        {
+            // ProgressBarの値を変更する
+            PrintProgress.Value = num;
+            PrintProgress.Update();
+        }
+        #endregion
+
+        #region 処理が完了した時にプログレスバーの値を変更する
+        /// <summary>
+        /// 処理が完了した時にプログレスバーの値を変更する
+        /// </summary>
+        private void ThreadCompleted()
+        {
+            try
+            {
+                // コントロールの変更
+                PrintProgress.Visible = false;
+                //groupBox2.Invalidate();
+
+                // ボタンの変更
+                PrintButtonVisbleControl(false);
+
+                // 印刷
+                if (m_rtAns == CommonDefine.RetunAnswer.Answer0)
+                {
+                    if (m_PrintresRet == DialogResult.No)
+                    {
+                        MessageBox.Show("保存が終了しました。", "終　了", MessageBoxButtons.OK, MessageBoxIcon.Information);
+                    }
+                    return;
+                }
+
+                // エラーメッセージセット
+                string strMessage = "";
+                switch ((int)m_rtAns)
+                {
+                    case (int)CommonDefine.RetunAnswer.Answer1:
+                        strMessage = "システムエラー";
+                        break;
+                    case (int)CommonDefine.RetunAnswer.Answer3:
+                        strMessage = "日報データ読み込みエラー";
+                        break;
+                    case (int)CommonDefine.RetunAnswer.Answer5:
+                        strMessage = "エクセル操作エラー";
+                        break;
+                }
+                MessageBox.Show(strMessage, "印刷エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                m_rtAns = CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
+
+        #region 処理がキャンセルされた時にプログレスバーの値を変更する
+        /// <summary>
+        /// 処理がキャンセルされた時にプログレスバーの値を変更する
+        /// </summary>
+        private void ThreadCanceled()
+        {
+            // コントロールの変更
+            PrintProgress.Visible = false;
+            //groupBox2.Invalidate();
+
+            // ボタンの変更
+            PrintButtonVisbleControl(false);
+        }
+        #endregion
+
+    }
+}
